package com.sw.mes.yb.report.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.response.Result;
import com.sw.mes.yb.report.dto.CrystalPullingInfoRunTimeDto;
import com.sw.mes.yb.report.entity.CrystalPullingInfoLog;

import java.math.BigDecimal;
import java.util.List;


/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface CrystalPullingInfoLogService extends BaseService<CrystalPullingInfoLog> {

    CrystalPullingInfoLog getCrystalPullingInfoLogByLotNo(String lotNo);


    CrystalPullingInfoLog getCrystalPullingInfoLogByDeviceNo(String deviceNo);


    CrystalPullingInfoLog getCrystalPullingInfoLogByDeviceNoAndLotNo(String deviceNo,String lotNo);


    Result<CrystalPullingInfoRunTimeDto> getRunTimeInfo(String lotNo, String deviceNo);

    BigDecimal getCrystalPullingInfoLogByTimeAndSeries(String startTime, String endTime, List<String> seriesList);

    List<CrystalPullingInfoLog> getCrystalPullingInfoLogByLotNos(List<String> lotNos);
}
